Create URL forward
curl --request POST \
--url https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "www.example.com",
"destination": "https://example.net",
"type": "temporary"
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards"
payload = {
"source": "www.example.com",
"destination": "https://example.net",
"type": "temporary"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'www.example.com',
destination: 'https://example.net',
type: 'temporary'
})
};
fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'www.example.com',
'destination' => 'https://example.net',
'type' => 'temporary'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards"
payload := strings.NewReader("{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}URL Forwarding
Create URL forward
POST
/
registrar
/
v1
/
domains
/
{domain_name}
/
url-forwards
Create URL forward
curl --request POST \
--url https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "www.example.com",
"destination": "https://example.net",
"type": "temporary"
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards"
payload = {
"source": "www.example.com",
"destination": "https://example.net",
"type": "temporary"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'www.example.com',
destination: 'https://example.net',
type: 'temporary'
})
};
fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'www.example.com',
'destination' => 'https://example.net',
'type' => 'temporary'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards"
payload := strings.NewReader("{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/registrar/v1/domains/{domain_name}/url-forwards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"www.example.com\",\n \"destination\": \"https://example.net\",\n \"type\": \"temporary\"\n}"
response = http.request(request)
puts response.read_body{}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}Authorizations
Registrar API token from https://www.atom.com/dashboard/seller/api-access
Path Parameters
Fully qualified domain name
Example:
"example.com"
Body
application/json
Response
Successful operation
The response is of type object.